<div class="modal-content" style="display: -webkit-inline-box;">
    <div class="modal-header">
        <h4 id="dialog-sizes-name1" class="modal-title pull-left">Censimento nuova Voce Daco </h4>
    </div>
</div>
    
    <div class="modal-body">
            <form #insertDacoFormRef="ngForm" name="insertDacoForm">

        <div class="row">
                <div class="col"><label>Voce Daco</label></div>
                <div class="col"><label>Descrizione</label></div>

        </div>

        <div class="row">
                <div class="col"  [ngClass]="{'has-error' : (dacoCodeRef.invalid && (dacoCodeRef.dirty || dacoCodeRef.touched))}">
                    <input [(ngModel)]="dacoCriteria.code" name="code" #dacoCodeRef="ngModel" min="0" autocomplete="off" maxlength="5" class="form-control form-control-sm" type="text" required>
                    <div *ngIf="(dacoCodeRef.invalid && (dacoCodeRef.dirty || dacoCodeRef.touched))"
                    class="validation-messages">
                    <div  *ngIf="dacoCodeRef.errors.required; then requiredErr else invalidErr">
                    </div>
                    <ng-template #requiredErr>Campo obbligatorio</ng-template>
                    <ng-template #invalidErr>{{dacoCodeRef.errors.error}}</ng-template>
                </div>
                </div>
               
                <div class="col"   [ngClass]="{'has-error' : (dacoDescRef.invalid && (dacoDescRef.dirty || dacoDescRef.touched))}">
                    <input [(ngModel)]="dacoCriteria.description" name="description" #dacoDescRef="ngModel" min="0" maxlength="50"  class="form-control form-control-sm" type="text" required>
                    <div *ngIf="(dacoDescRef.invalid && (dacoDescRef.dirty || dacoDescRef.touched))"
                    class="validation-messages">
                    <div  *ngIf="dacoDescRef.errors.required; then requiredErr else invalidErr">
                    </div>
                    <ng-template #requiredErr>Campo obbligatorio</ng-template>
                    <ng-template #invalidErr>{{dacoDescRef.errors.error}}</ng-template>
                </div>
                </div>

            </div>
<br>
            <div class="row">
                    <div class="col"><label>Cocont</label></div>
                    <div class="col"><label >Descrizione Cocont </label></div>
            </div>

            <div class="row">
                    <div class="col"   [ngClass]="{'has-error' : (dacoAccountNRef.invalid && (dacoAccountNRef.dirty || dacoAccountNRef.touched))}">
                    <input [(ngModel)]="dacoCriteria.accountNumber" name="accountNumber" #dacoAccountNRef="ngModel" min="0" maxlength="20"  class="form-control form-control-sm" type="text" required>
                    <div *ngIf="(dacoAccountNRef.invalid && (dacoAccountNRef.dirty || dacoAccountNRef.touched))"
                    class="validation-messages">
                    <div  *ngIf="dacoAccountNRef.errors.required; then requiredErr else invalidErr">
                    </div>
                    <ng-template #requiredErr>Campo obbligatorio</ng-template>
                    <ng-template #invalidErr>{{dacoAccountNRef.errors.error}}</ng-template>
                </div>
                </div>

                <div class="col"   [ngClass]="{'has-error' : (dacoAccountDRef.invalid && (dacoAccountDRef.dirty || dacoAccountDRef.touched))}">
                    <input [(ngModel)]="dacoCriteria.accountDescription" name="accountDescription" #dacoAccountDRef="ngModel" min="0" maxlength="50"  class="form-control form-control-sm" type="text" required>
                    <div *ngIf="(dacoAccountDRef.invalid && (dacoAccountDRef.dirty || dacoAccountDRef.touched))"
                    class="validation-messages">
                    <div  *ngIf="dacoAccountDRef.errors.required; then requiredErr else invalidErr">
                    </div>
                    <ng-template #requiredErr>Campo obbligatorio</ng-template>
                    <ng-template #invalidErr>{{dacoAccountDRef.errors.error}}</ng-template>
                </div>
                </div>
     
            </div>
        </form>
        <hr>
        <div class="row">
                <div class="col">
                        <button  (click)="close()" class="btn btn-sm btn-danger buttonCancel">Annulla</button>
                    <button (click)="confirmDaco()" class="btn btn-sm btn-success buttonConfirm" [disabled]="!insertDacoFormRef.valid">Salva</button>
            
            </div>
    </div>
   

